* {
    margin: 0;
    padding: 0;
    font-family: "Noto Sans", sans-serif;
}

.links {
    color: darkblue;
    text-decoration: underline;
}

#info {
    position: absolute;
    left: 0;
    font-size: 24px;
    margin: 10px;
    z-index: 1;
    cursor: pointer;
}

#container {
    display: flex;
    justify-content: center;
}

.inner {
    position: absolute;
}

#inner-svg {
    fill: black;
    opacity: 0;
}

#body {
    fill: rgb(125, 25, 20);
    opacity: 1;
}

#fingerboard {
    fill: #222222;
    opacity: 1;
}

#nut {
    fill: #242424;
    opacity: 1;
}

#bridge {
    fill: rgb(229, 196, 135);
    stroke: rgb(229, 196, 135);
    stroke-linecap: round;
    opacity: 1;
}

.f-hole {
    fill: black;
    opacity: 1;
}

#cello {
    height: 600px;
    opacity: 0;
}

.strings, .stringEnds {
    stroke: lightgray;
}


/* -------------------- EQUAL & JUST SETUP -------------------- */

.equalPoint {
    fill: green;
}

.justPoint {
    fill: yellow;
    opacity: 0.5;
}

.positionPoint {
    fill: rgb(100, 100, 100)
}

.positionOctavePoint {
    fill: rgb(170, 170, 170);
}

.positionPointTrad {
    fill: rgb(100, 255, 50);
}

.positionPointAbs {
    fill: rgb(220, 180, 0);
}

.octaveTrad {
    fill: rgb(160, 255, 160);
}

.octaveAbs {
    fill: rgb(255, 255, 155);
}

.harmPoint {
    fill: whitesmoke;
}

.harmPoint2 {
    fill: rgb(240, 0, 0);
}

.harmPoint4 {
    fill: rgb(240, 70, 70);
}

.harmPoint8 {
    fill: rgb(240, 140, 140);
}

.harmPoint3 {
    fill: rgb(255, 100, 0);
}

.harmPoint6 {
    fill: rgb(255, 150, 50);
}

.harmPoint9 {
    fill: rgb(255, 200, 100);
}

.harmPoint5 {
    fill: rgb(100, 180, 250);
}

.harmPoint10 {
    fill: rgb(50, 230, 255);
}

.harmPoint7 {
    fill: rgb(200, 100, 200);
}

.octave {
    fill: red;
}

.equalPointText {
    font-weight: 600;
    dominant-baseline: central;
    text-anchor: middle;
    fill: white;
}

.equalPointTextSmall {
    font-weight: 600;
    dominant-baseline: central;
    text-anchor: middle;
    fill: white;
}

.posPointText {
    font-weight: 600;
    dominant-baseline: central;
    vertical-align: middle;
    text-anchor: middle;
    fill: black;
}

.posPointTextSmall {
    font-weight: 600;
    dominant-baseline: central;
    vertical-align: middle;
    text-anchor: middle;
    fill: black;
}

.upper, .lower {
    /* to fix safari */
    dominant-baseline: central;
}

.justPointText {
    font-weight: 600;
    dominant-baseline: central;
    text-anchor: middle;
    fill: black;
}

.superscript {
    letter-spacing: -0.2px;
    font-size: 0.7em;
    dominant-baseline: alphabetic;
}

.sept {
    dominant-baseline: central;
    letter-spacing: -0.1em;
}

.fis {
    dominant-baseline: central;
    letter-spacing: -0.2px;
}

.flat {
    dominant-baseline: central;
    letter-spacing: -0.25em;
}

.sharp {
    dominant-baseline: central;
    letter-spacing: -0.15em;
}

/* Firefox only */
@-moz-document url-prefix() {

    .sept {
        dominant-baseline: inherit;
    }

    .fis {
        dominant-baseline: inherit;
    }

    .flat {
        letter-spacing: 0.05em;
        dominant-baseline: inherit;
    }

    .sharp {
        letter-spacing: 0.05em;
        dominant-baseline: inherit;
    }

    .superscript {
        dominant-baseline: hanging;
    }

}

.equalPointTopLayer {
    fill: transparent;
    cursor: pointer;
}

.justPointTopLayer {
    fill: transparent;
    cursor: pointer;
}

.harmPointTopLayer {
    fill: transparent;
    cursor: pointer;
}

.openEqualString {
   fill: red;
}

.openEqualStringPos {
    fill: rgb(170, 170, 170);
 }

.openJustString {
    fill: red;
    opacity: 0.5; 
 }

.openEqualStringText {
    font-weight: 500;
    text-anchor: middle;
    dominant-baseline: middle;
    fill: white;
}

.openJustStringText {
    font-weight: 500;
    text-anchor: middle;
    dominant-baseline: middle;
    fill: white;
}

.openPosStringText {
    font-weight: bold;
    text-anchor: middle;
    dominant-baseline: middle;
    fill: black;
}

.openEqualStringTopLayer, .openJustStringTopLayer {
    fill: transparent;
    cursor: pointer;
}

.selected {
    fill: white;
    opacity: 0.4; 
}


/* -------------------- MENU -------------------- */

a {
    text-decoration: none;
    color: white;
}

#open {
    position: absolute;
    right: 0;
    font-size: 24px;
    margin: 10px;
    z-index: 1;
}

#close span {
    color: black;
    font-size: 0.5em;
}

.fa-xmark {
    height: 100%;
    font-size: 24px;
    color: white;
    vertical-align: middle;
}

#open:hover, #close:hover {
    cursor: pointer;
}

#menu {
    position: fixed;
    background: rgba(160, 180, 200, 0.9);
    height: 100vh;
    width: 300px;
    top: 0;
    right: -300px;
    text-align: left;
    z-index: 2;
    transition: 0.8s;
    overflow: auto;
}

.header {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 5px;
    background: rgba(0, 10, 20, 0.5);
}

.menuCol {
    font-size: 1.2em;
}

.select {
    display: grid;
    grid-template-columns: 2fr 2fr 2fr 1fr;
    padding: 5px;
    border-bottom: 1px solid black;
    align-items: center;
}

.selectlanguage {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 5px;
    border-bottom: 1px solid black;
    align-items: center;
}

#english, #german {
    width: 78.86px;
    margin: auto;
    cursor: pointer;
}

.fa-circle-question, .fa-chevron-down {
    text-align: center;
    font-size: 24px;
    margin: 0 auto;
    cursor: pointer;
}

.positionWrapper {
    padding: 5px;
    border-bottom: 1px solid black;
    align-items: center;
}

.positionTraditional, .positionAbsolute, .harmonics {
    display: none; 
}

.selectWrapper {
    width: 65px;
    margin: auto;
}

select {
    outline: none;
    border-radius: 4px;
    background: rgba(0, 10, 20, 0.5);
    color: white;
    cursor: pointer;
}

.open {
    display: block;
}

.rotate {
    transform: rotate(180deg);
}

.fa-chevron-down {
    float: right;
    margin-right: 9px;
}

.positionQuestion {
    float: right;
    margin-right: 22px;
}

.choice {
    display: grid;
    grid-template: 1fr / 1fr;
    place-items: center;
    text-align: center;
    font-size: 0.8em;
    background: rgba(0, 10, 20, 0.5);
    border-radius: 4px;
    margin: 2px;
    color: white;
    cursor: pointer;
}

.choice > * {
    grid-column: 1 / 1;
    grid-row: 1 / 1;
}

.choice .bottomlayer, .position .bottomlayer {
    z-index: 1;
}

.choice .toplayer, .position .toplayer {
    width: 100%;
    height: 100%;
    z-index: 2;
}

.position, .harm {
    display: grid;
    grid-template: 1fr / 1fr;
    place-items: center;
    text-align: center;
    font-size: 0.8em;
    background: rgba(0, 10, 20, 0.5);
    border-radius: 4px;
    margin: 2px;
    color: white;
    cursor: pointer;
}

.position > * {
    grid-column: 1 / 1;
    grid-row: 1 / 1;
}

.displayed {
    background: green;
}


/* -------------------- MODAL -------------------- */

img {
    width: 100%;
    margin-bottom: 25px;
}

.imageSmall {
    width: 60%;
    margin: auto;
}

.modalIcon {
    float: right;
    font-size: 24px;
    cursor: pointer;
}

.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    z-index: 2;
    background-color: rgba(255, 255, 255, 0.9);
    margin: 54px auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

h3 {
    margin-bottom: 25px;
}

h4 {
    margin-top: 15px;
    margin-bottom: 15px;
}

.fakeBtn {
    width: 88px;
    background-color: green;
    text-align: center;
    border-radius: 4px;
    color: white;
}

p {
    margin-bottom: 25px;
}

sup {
    font-size: 0.6em;
}
